// // // // // // // // // // // // // // // // // // // //
//	
//	Connection Data
//	
//	created Apr/13/98 by Andreas Warnke
//	last mod Apr/13/98 by Andreas Warnke
//	
//	This class provides information that is needed
//	to communicate with the Server.
//



// // // // // // // // // // // // // // // // // // // //
//	
//	#pragma once
//

#ifndef ConnectionData_h_
#define ConnectionData_h_



// // // // // // // // // // // // // // // // // // // //
//	
//	#include
//

#include <Be.h>



// // // // // // // // // // // // // // // // // // // //
//	
//	ConnectionData Declaration
//

class ConnectionData
{
protected:
	//	BMessenger for the Server
	BMessenger TheServer;
	
	//	Name and password of the Agent
	char * TheName;
	char * ThePassword;
	char * TheReadOnlyPassword;
	unsigned int ThePlayerID;
	
	//	Connection- and Game-Status
	bool LoggedIn;
	bool GameFinished;
	
	//	Free occupied memory:
	void DeleteNameAndPasswords ();
	
	//	Constructor, initializes values
	ConnectionData ();
	
	//	Destructor, frees occupied memory
	virtual ~ConnectionData ();
};



#endif



//	
//	The End.
//	
// // // // // // // // // // // // // // // // // // // //